# Raw data and analysis code in Python

Data were measured with [qcodes](https://qcodes.github.io/) and stored in its native database formats. Data analysis is performed with Jupyter notebooks in Python. To create a conda environment that can execute the `.ipynb` Jupyter notebooks, install anaconda, run `conda env create -f env.yml` in this directory and launch Jupyter with `jupyter notebook`.

Since each qcodes database contains a large amount of datasets unused in this paper, we either export each raw dataset to a netCDF file storing one `xarray.Dataset` using only the built-in export functionality of qcodes, or, in the event of failure to export to xarray, transfer that dataset to a new qcodes database called `xarray_noncompatible_sweeps.db`. These netCDF and database files are under the `raw_data` directory. The code used to generate these files are in the `transfer_measurements_to_repo` notebook. The code used to process the raw data and generate figures used in the paper are in the `paper_figures` notebook.
